Skip to main content
POST
/
v1
/
holder-removals
Register a holder-ownership removal
curl --request POST \
  --url https://plugin-pix-direct.api.lerian.net/v1/holder-removals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account": "<string>",
  "accountId": "<string>",
  "accountType": 123,
  "document": "<string>",
  "personType": 123,
  "branch": "<string>"
}
'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/holder-removals"

payload = {
    "account": "<string>",
    "accountId": "<string>",
    "accountType": 123,
    "document": "<string>",
    "personType": 123,
    "branch": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    account: '<string>',
    accountId: '<string>',
    accountType: 123,
    document: '<string>',
    personType: 123,
    branch: '<string>'
  })
};

fetch('https://plugin-pix-direct.api.lerian.net/v1/holder-removals', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "deletedKeys": [
    {
      "key": "<string>",
      "reason": 123,
      "result": 123,
      "document": "<string>",
      "name": "<string>",
      "resultDescription": "<string>"
    }
  ]
}
{
  "code": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Obtain token from /v1/login/oauth/access_token endpoint using client credentials (clientId and clientSecret).

Include token in Authorization header: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Token expires after 3600 seconds (1 hour).

Body

application/json
account
string
required

The account number.

accountId
string
required

The CRM account id of the caller (resolves the server-side ISPB).

accountType
integer<int64>
required

The account type (0=Checking,1=Salary,2=Savings,3=Payment,4=PI).

document
string
required

The target holder document (CPF/CNPJ).

personType
integer<int64>
required

The target holder person type (0=Person,1=Corporate).

branch
string

The branch number of the account.

Response

OK

deletedKeys
object[] | null
required

The per-key deletion outcomes.